Company Firmographic
curl --request GET \
--url https://api.akta.pro/api/v1/company/enrichment/firmographic/{company} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.akta.pro/api/v1/company/enrichment/firmographic/{company}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.akta.pro/api/v1/company/enrichment/firmographic/{company}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "<string>",
"firmographic": {}
},
"credits_consumed": 123
}Core APIs
Company Firmographic API
Identity, classification, and basic company facts.
GET
/
v1
/
company
/
enrichment
/
firmographic
/
{company}
Company Firmographic
Overview
The Company Firmographic API returns thefirmographic section of a company as a standalone endpoint.
Endpoint Details
- Method: GET
- Endpoint:
/api/v1/company/enrichment/firmographic/{company}/
Authentication requirements
- Include a valid API key in the
x-api-keyrequest header.
Request
Request Parameters
Header Parameters
string
required
Your API key.
Path Parameters
string
required
Company website (e.g.
canva.com) or a company UUID (e.g. 00031n-tesla). The UUID can be obtained from the Company Search API.Example Request
GET /v1/company/enrichment/firmographic/canva.com
x-api-key: <your_api_key>
Response
Successful Response Fields
Returns a JSON object with the following structure:float
Number of credits consumed (2 per call).
object
Firmographic payload for the requested company.
Show properties
Show properties
string
Akta UUID of the requested company.
object
The
firmographic section payload.Show properties
Show properties
object
Display name
object
Registered legal name
object
Primary website domain
object
Public, private, acquired, etc.
object
Year founded
object
Long-form description
object
Short description
object
Operating status code + label
object
Ownership category code + label
object
Headcount band, e.g. 1001-5000
object
Headcount count if available
object
Hosted logo URL
object
Akta rank
Authorizations
API key obtained from your Akta account.
Path Parameters
Company website (e.g. 'canva.com') or a company UUID (e.g. '00031n-tesla'). The UUID can be obtained from the Company Search API.
.png?fit=max&auto=format&n=SdGZnb5iGLBOelR9&q=85&s=6e183af2c7498a76797d0c8d9a81b986)
.png?fit=max&auto=format&n=SdGZnb5iGLBOelR9&q=85&s=7702c636c517001e39df24a084a9728d)